org.wildfly.swarm.microprofile.openapi.api.models.media

## Class SchemaImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.media.SchemaImpl

- All Implemented Interfaces:
    ModelImpl

      public class SchemaImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `Content` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Schema` | `addAllOf(Schema allOf)`
    `Schema` | `addAnyOf(Schema anyOf)`
    `Schema` | `addEnumeration(Object enumeration)`
    `Schema` | `additionalProperties(Boolean additionalProperties)`
    `Schema` | `additionalProperties(Schema additionalProperties)`
    `Schema` | `addOneOf(Schema oneOf)`
    `Schema` | `addProperty(String key, Schema propertySchema)`
    `Schema` | `addRequired(String required)`
    `Schema` | `allOf(List<Schema> allOf)`
    `Schema` | `anyOf(List<Schema> anyOf)`
    `Schema` | `defaultValue(Object defaultValue)`
    `Schema` | `deprecated(Boolean deprecated)`
    `Schema` | `description(String description)`
    `Schema` | `discriminator(Discriminator discriminator)`
    `Schema` | `enumeration(List<Object> enumeration)`
    `Schema` | `example(Object example)`
    `Schema` | `exclusiveMaximum(Boolean exclusiveMaximum)`
    `Schema` | `exclusiveMinimum(Boolean exclusiveMinimum)`
    `Schema` | `externalDocs(ExternalDocumentation externalDocs)`
    `Schema` | `format(String format)`
    `Object` | `getAdditionalProperties()`
    `List<Schema>` | `getAllOf()`
    `List<Schema>` | `getAnyOf()`
    `Object` | `getDefaultValue()`
    `Boolean` | `getDeprecated()`
    `String` | `getDescription()`
    `Discriminator` | `getDiscriminator()`
    `List<Object>` | `getEnumeration()`
    `Object` | `getExample()`
    `Boolean` | `getExclusiveMaximum()`
    `Boolean` | `getExclusiveMinimum()`
    `ExternalDocumentation` | `getExternalDocs()`
    `String` | `getFormat()`
    `Schema` | `getItems()`
    `BigDecimal` | `getMaximum()`
    `Integer` | `getMaxItems()`
    `Integer` | `getMaxLength()`
    `Integer` | `getMaxProperties()`
    `BigDecimal` | `getMinimum()`
    `Integer` | `getMinItems()`
    `Integer` | `getMinLength()`
    `Integer` | `getMinProperties()`
    `BigDecimal` | `getMultipleOf()`
    `Schema` | `getNot()`
    `Boolean` | `getNullable()`
    `List<Schema>` | `getOneOf()`
    `String` | `getPattern()`
    `Map<String,Schema>` | `getProperties()`
    `Boolean` | `getReadOnly()`
    `String` | `getRef()`
    `List<String>` | `getRequired()`
    `String` | `getTitle()`
    `SchemaType` | `getType()`
    `Boolean` | `getUniqueItems()`
    `Boolean` | `getWriteOnly()`
    `XML` | `getXml()`
    `Schema` | `items(Schema items)`
    `Schema` | `maximum(BigDecimal maximum)`
    `Schema` | `maxItems(Integer maxItems)`
    `Schema` | `maxLength(Integer maxLength)`
    `Schema` | `maxProperties(Integer maxProperties)`
    `Schema` | `minimum(BigDecimal minimum)`
    `Schema` | `minItems(Integer minItems)`
    `Schema` | `minLength(Integer minLength)`
    `Schema` | `minProperties(Integer minProperties)`
    `Schema` | `multipleOf(BigDecimal multipleOf)`
    `Schema` | `not(Schema not)`
    `Schema` | `nullable(Boolean nullable)`
    `Schema` | `oneOf(List<Schema> oneOf)`
    `Schema` | `pattern(String pattern)`
    `Schema` | `properties(Map<String,Schema> properties)`
    `Schema` | `readOnly(Boolean readOnly)`
    `Schema` | `ref(String ref)`
    `Schema` | `required(List<String> required)`
    `void` | `setAdditionalProperties(Schema additionalProperties)`
    `void` | `setAllOf(List<Schema> allOf)`
    `void` | `setAnyOf(List<Schema> anyOf)`
    `void` | `setDefaultValue(Object defaultValue)`
    `void` | `setDeprecated(Boolean deprecated)`
    `void` | `setDescription(String description)`
    `void` | `setDiscriminator(Discriminator discriminator)`
    `void` | `setEnumeration(List<Object> enumeration)`
    `void` | `setExample(Object example)`
    `void` | `setExclusiveMaximum(Boolean exclusiveMaximum)`
    `void` | `setExclusiveMinimum(Boolean exclusiveMinimum)`
    `void` | `setExternalDocs(ExternalDocumentation externalDocs)`
    `void` | `setFormat(String format)`
    `void` | `setItems(Schema items)`
    `void` | `setMaximum(BigDecimal maximum)`
    `void` | `setMaxItems(Integer maxItems)`
    `void` | `setMaxLength(Integer maxLength)`
    `void` | `setMaxProperties(Integer maxProperties)`
    `void` | `setMinimum(BigDecimal minimum)`
    `void` | `setMinItems(Integer minItems)`
    `void` | `setMinLength(Integer minLength)`
    `void` | `setMinProperties(Integer minProperties)`
    `void` | `setMultipleOf(BigDecimal multipleOf)`
    `void` | `setNot(Schema not)`
    `void` | `setNullable(Boolean nullable)`
    `void` | `setOneOf(List<Schema> oneOf)`
    `void` | `setPattern(String pattern)`
    `void` | `setProperties(Map<String,Schema> properties)`
    `void` | `setReadOnly(Boolean readOnly)`
    `void` | `setRef(String ref)`
    `void` | `setRequired(List<String> required)`
    `void` | `setTitle(String title)`
    `void` | `setType(SchemaType type)`
    `void` | `setUniqueItems(Boolean uniqueItems)`
    `void` | `setWriteOnly(Boolean writeOnly)`
    `void` | `setXml(XML xml)`
    `Schema` | `title(String title)`
    `Schema` | `type(SchemaType type)`
    `Schema` | `uniqueItems(Boolean uniqueItems)`
    `Schema` | `writeOnly(Boolean writeOnly)`
    `Schema` | `xml(XML xml)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaImpl

          public SchemaImpl()

  - ### Method Detail

    - #### getRef

          public String getRef()

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#getRef()`

    - #### setRef

          public void setRef(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#setRef(java.lang.String)`

    - #### ref

          public Schema ref(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#ref(java.lang.String)`

    - #### getDiscriminator

          public Discriminator getDiscriminator()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getDiscriminator()`

    - #### setDiscriminator

          public void setDiscriminator(Discriminator discriminator)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setDiscriminator(org.eclipse.microprofile.openapi.models.media.Discriminator)`

    - #### discriminator

          public Schema discriminator(Discriminator discriminator)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#discriminator(org.eclipse.microprofile.openapi.models.media.Discriminator)`

    - #### getTitle

          public String getTitle()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getTitle()`

    - #### setTitle

          public void setTitle(String title)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setTitle(java.lang.String)`

    - #### title

          public Schema title(String title)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#title(java.lang.String)`

    - #### getDefaultValue

          public Object getDefaultValue()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getDefaultValue()`

    - #### setDefaultValue

          public void setDefaultValue(Object defaultValue)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setDefaultValue(java.lang.Object)`

    - #### defaultValue

          public Schema defaultValue(Object defaultValue)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#defaultValue(java.lang.Object)`

    - #### getEnumeration

          public List<Object> getEnumeration()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getEnumeration()`

    - #### setEnumeration

          public void setEnumeration(List<Object> enumeration)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setEnumeration(java.util.List)`

    - #### enumeration

          public Schema enumeration(List<Object> enumeration)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#enumeration(java.util.List)`

    - #### addEnumeration

          public Schema addEnumeration(Object enumeration)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#addEnumeration(java.lang.Object)`

    - #### getMultipleOf

          public BigDecimal getMultipleOf()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getMultipleOf()`

    - #### setMultipleOf

          public void setMultipleOf(BigDecimal multipleOf)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setMultipleOf(java.math.BigDecimal)`

    - #### multipleOf

          public Schema multipleOf(BigDecimal multipleOf)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#multipleOf(java.math.BigDecimal)`

    - #### getMaximum

          public BigDecimal getMaximum()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getMaximum()`

    - #### setMaximum

          public void setMaximum(BigDecimal maximum)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setMaximum(java.math.BigDecimal)`

    - #### maximum

          public Schema maximum(BigDecimal maximum)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#maximum(java.math.BigDecimal)`

    - #### getExclusiveMaximum

          public Boolean getExclusiveMaximum()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getExclusiveMaximum()`

    - #### setExclusiveMaximum

          public void setExclusiveMaximum(Boolean exclusiveMaximum)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setExclusiveMaximum(java.lang.Boolean)`

    - #### exclusiveMaximum

          public Schema exclusiveMaximum(Boolean exclusiveMaximum)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#exclusiveMaximum(java.lang.Boolean)`

    - #### getMinimum

          public BigDecimal getMinimum()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getMinimum()`

    - #### setMinimum

          public void setMinimum(BigDecimal minimum)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setMinimum(java.math.BigDecimal)`

    - #### minimum

          public Schema minimum(BigDecimal minimum)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#minimum(java.math.BigDecimal)`

    - #### getExclusiveMinimum

          public Boolean getExclusiveMinimum()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getExclusiveMinimum()`

    - #### setExclusiveMinimum

          public void setExclusiveMinimum(Boolean exclusiveMinimum)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setExclusiveMinimum(java.lang.Boolean)`

    - #### exclusiveMinimum

          public Schema exclusiveMinimum(Boolean exclusiveMinimum)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#exclusiveMinimum(java.lang.Boolean)`

    - #### getMaxLength

          public Integer getMaxLength()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getMaxLength()`

    - #### setMaxLength

          public void setMaxLength(Integer maxLength)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setMaxLength(java.lang.Integer)`

    - #### maxLength

          public Schema maxLength(Integer maxLength)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#maxLength(java.lang.Integer)`

    - #### getMinLength

          public Integer getMinLength()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getMinLength()`

    - #### setMinLength

          public void setMinLength(Integer minLength)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setMinLength(java.lang.Integer)`

    - #### minLength

          public Schema minLength(Integer minLength)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#minLength(java.lang.Integer)`

    - #### getPattern

          public String getPattern()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getPattern()`

    - #### setPattern

          public void setPattern(String pattern)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setPattern(java.lang.String)`

    - #### pattern

          public Schema pattern(String pattern)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#pattern(java.lang.String)`

    - #### getMaxItems

          public Integer getMaxItems()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getMaxItems()`

    - #### setMaxItems

          public void setMaxItems(Integer maxItems)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setMaxItems(java.lang.Integer)`

    - #### maxItems

          public Schema maxItems(Integer maxItems)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#maxItems(java.lang.Integer)`

    - #### getMinItems

          public Integer getMinItems()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getMinItems()`

    - #### setMinItems

          public void setMinItems(Integer minItems)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setMinItems(java.lang.Integer)`

    - #### minItems

          public Schema minItems(Integer minItems)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#minItems(java.lang.Integer)`

    - #### getUniqueItems

          public Boolean getUniqueItems()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getUniqueItems()`

    - #### setUniqueItems

          public void setUniqueItems(Boolean uniqueItems)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setUniqueItems(java.lang.Boolean)`

    - #### uniqueItems

          public Schema uniqueItems(Boolean uniqueItems)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#uniqueItems(java.lang.Boolean)`

    - #### getMaxProperties

          public Integer getMaxProperties()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getMaxProperties()`

    - #### setMaxProperties

          public void setMaxProperties(Integer maxProperties)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setMaxProperties(java.lang.Integer)`

    - #### maxProperties

          public Schema maxProperties(Integer maxProperties)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#maxProperties(java.lang.Integer)`

    - #### getMinProperties

          public Integer getMinProperties()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getMinProperties()`

    - #### setMinProperties

          public void setMinProperties(Integer minProperties)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setMinProperties(java.lang.Integer)`

    - #### minProperties

          public Schema minProperties(Integer minProperties)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#minProperties(java.lang.Integer)`

    - #### getRequired

          public List<String> getRequired()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getRequired()`

    - #### setRequired

          public void setRequired(List<String> required)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setRequired(java.util.List)`

    - #### required

          public Schema required(List<String> required)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#required(java.util.List)`

    - #### addRequired

          public Schema addRequired(String required)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#addRequired(java.lang.String)`

    - #### getType

          public SchemaType getType()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getType()`

    - #### setType

          public void setType(SchemaType type)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setType(org.eclipse.microprofile.openapi.models.media.Schema.SchemaType)`

    - #### type

          public Schema type(SchemaType type)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#type(org.eclipse.microprofile.openapi.models.media.Schema.SchemaType)`

    - #### getNot

          public Schema getNot()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getNot()`

    - #### setNot

          public void setNot(Schema not)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setNot(org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### not

          public Schema not(Schema not)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#not(org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### getProperties

          public Map<String,Schema> getProperties()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getProperties()`

    - #### setProperties

          public void setProperties(Map<String,Schema> properties)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setProperties(java.util.Map)`

    - #### properties

          public Schema properties(Map<String,Schema> properties)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#properties(java.util.Map)`

    - #### addProperty

          public Schema addProperty(String key,
                                    Schema propertySchema)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#addProperty(java.lang.String, org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### getAdditionalProperties

          public Object getAdditionalProperties()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getAdditionalProperties()`

    - #### setAdditionalProperties

          public void setAdditionalProperties(Schema additionalProperties)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setAdditionalProperties(org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### additionalProperties

          public Schema additionalProperties(Schema additionalProperties)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#additionalProperties(org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### additionalProperties

          public Schema additionalProperties(Boolean additionalProperties)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#additionalProperties(java.lang.Boolean)`

    - #### getDescription

          public String getDescription()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getDescription()`

    - #### setDescription

          public void setDescription(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setDescription(java.lang.String)`

    - #### description

          public Schema description(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#description(java.lang.String)`

    - #### getFormat

          public String getFormat()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getFormat()`

    - #### setFormat

          public void setFormat(String format)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setFormat(java.lang.String)`

    - #### format

          public Schema format(String format)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#format(java.lang.String)`

    - #### getNullable

          public Boolean getNullable()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getNullable()`

    - #### setNullable

          public void setNullable(Boolean nullable)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setNullable(java.lang.Boolean)`

    - #### nullable

          public Schema nullable(Boolean nullable)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#nullable(java.lang.Boolean)`

    - #### getReadOnly

          public Boolean getReadOnly()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getReadOnly()`

    - #### setReadOnly

          public void setReadOnly(Boolean readOnly)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setReadOnly(java.lang.Boolean)`

    - #### readOnly

          public Schema readOnly(Boolean readOnly)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#readOnly(java.lang.Boolean)`

    - #### getWriteOnly

          public Boolean getWriteOnly()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getWriteOnly()`

    - #### setWriteOnly

          public void setWriteOnly(Boolean writeOnly)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setWriteOnly(java.lang.Boolean)`

    - #### writeOnly

          public Schema writeOnly(Boolean writeOnly)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#writeOnly(java.lang.Boolean)`

    - #### getExample

          public Object getExample()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getExample()`

    - #### setExample

          public void setExample(Object example)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setExample(java.lang.Object)`

    - #### example

          public Schema example(Object example)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#example(java.lang.Object)`

    - #### getExternalDocs

          public ExternalDocumentation getExternalDocs()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getExternalDocs()`

    - #### setExternalDocs

          public void setExternalDocs(ExternalDocumentation externalDocs)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setExternalDocs(org.eclipse.microprofile.openapi.models.ExternalDocumentation)`

    - #### externalDocs

          public Schema externalDocs(ExternalDocumentation externalDocs)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#externalDocs(org.eclipse.microprofile.openapi.models.ExternalDocumentation)`

    - #### getDeprecated

          public Boolean getDeprecated()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getDeprecated()`

    - #### setDeprecated

          public void setDeprecated(Boolean deprecated)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setDeprecated(java.lang.Boolean)`

    - #### deprecated

          public Schema deprecated(Boolean deprecated)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#deprecated(java.lang.Boolean)`

    - #### getXml

          public XML getXml()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getXml()`

    - #### setXml

          public void setXml(XML xml)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setXml(org.eclipse.microprofile.openapi.models.media.XML)`

    - #### xml

          public Schema xml(XML xml)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#xml(org.eclipse.microprofile.openapi.models.media.XML)`

    - #### getItems

          public Schema getItems()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getItems()`

    - #### setItems

          public void setItems(Schema items)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setItems(org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### items

          public Schema items(Schema items)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#items(org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### getAllOf

          public List<Schema> getAllOf()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getAllOf()`

    - #### setAllOf

          public void setAllOf(List<Schema> allOf)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setAllOf(java.util.List)`

    - #### allOf

          public Schema allOf(List<Schema> allOf)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#allOf(java.util.List)`

    - #### addAllOf

          public Schema addAllOf(Schema allOf)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#addAllOf(org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### getAnyOf

          public List<Schema> getAnyOf()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getAnyOf()`

    - #### setAnyOf

          public void setAnyOf(List<Schema> anyOf)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setAnyOf(java.util.List)`

    - #### anyOf

          public Schema anyOf(List<Schema> anyOf)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#anyOf(java.util.List)`

    - #### addAnyOf

          public Schema addAnyOf(Schema anyOf)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#addAnyOf(org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### getOneOf

          public List<Schema> getOneOf()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#getOneOf()`

    - #### setOneOf

          public void setOneOf(List<Schema> oneOf)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#setOneOf(java.util.List)`

    - #### oneOf

          public Schema oneOf(List<Schema> oneOf)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#oneOf(java.util.List)`

    - #### addOneOf

          public Schema addOneOf(Schema oneOf)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.Schema#addOneOf(org.eclipse.microprofile.openapi.models.media.Schema)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.